## org.hibernate.internal.util
Class JdbcExceptionHelper

    java.lang.Object
      org.hibernate.internal.util.JdbcExceptionHelper

    public class JdbcExceptionHelper

extends Object

Constructor Summary
`JdbcExceptionHelper()`

Method Summary
`static String` `determineSqlStateClassCode(String sqlState)`
`static int` `extractErrorCode(SQLException sqlException)` For the given SQLException, locates the vendor-specific error code.
`static String` `extractSqlState(SQLException sqlException)` For the given SQLException, locates the X/Open-compliant SQLState.
`static String` `extractSqlStateClassCode(SQLException sqlException)` For the given SQLException, locates the X/Open-compliant SQLState's class code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcExceptionHelper

    public JdbcExceptionHelper()

Method Detail

### extractErrorCode

    public static int extractErrorCode(SQLException sqlException)

  For the given SQLException, locates the vendor-specific error code.

  Parameters:
    `sqlException` - The exception from which to extract the SQLState
  Returns:
    The error code.

### extractSqlState

    public static String extractSqlState(SQLException sqlException)

  For the given SQLException, locates the X/Open-compliant SQLState.

  Parameters:
    `sqlException` - The exception from which to extract the SQLState
  Returns:
    The SQLState code, or null.

### extractSqlStateClassCode

    public static String extractSqlStateClassCode(SQLException sqlException)

  For the given SQLException, locates the X/Open-compliant SQLState's class code.

  Parameters:
    `sqlException` - The exception from which to extract the SQLState class code
  Returns:
    The SQLState class code, or null.

### determineSqlStateClassCode

    public static String determineSqlStateClassCode(String sqlState)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.